<template>
  <article class="grid" :class="[gridDirection]">
    <div :class="[order, position]">
      <img class="main-image" :src="getImage(image)" :alt="name" />
    </div>
    <base-scroll-animation :type="'fade'" :once="true">
      <template v-slot:animate>
        <div class="flex is-direction:column is-spaced:center copy">
          <slot name="heading" />
          <slot name="copy" />
        </div>
      </template>
    </base-scroll-animation>
  </article>
</template>

<script>
export default {
  props: {
    heading: String,
    copy: String,
    image: String,
    icon: { type: String, required: false },
    iconCenter: { type: Boolean, required: false },
    iconSize: { type: String, required: false },
    iconName: { type: String, required: false },
    name: String,
    order: String,
    gridDirection: String,
    position: String,
    padLeft: Boolean,
    padRight: Boolean
  },
  methods: {
    getImage(path) {
      return require(`@/assets/img/${path}`);
    }
  }
};
</script>
<style lang="scss" scoped>
@import "~@/assets/scss/config/_variables.scss";
article {
  grid-gap: 2.2rem;
  grid-template-columns: auto;

  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 6.3rem;
  align-items: center;
  @media all and (min-width: 650px) {
    padding-top: 11rem;
    // padding-top: 9rem;
    grid-gap: 4.3rem;
  }
  @media all and (min-width: 1024px) {
    // padding-left: 5.9rem;
    // padding-right: 6.25rem;
    padding-left: 3.9rem;
    padding-right: 4.25rem;
    &:first-of-type {
      padding-top: 0;
    }
  }
  @media all and (min-width: 1130px) {
    grid-gap: 8rem;
    padding-left: 6.9rem;
    padding-right: 7.25rem;
  }
}
.is-mobile-center {
  justify-self: center;
  @media all and (min-width: 650px) {
    justify-self: auto;
  }
}
.grid-lr {
  @media all and (min-width: 650px) {
    grid-template-columns: auto 1fr;
  }
  @media all and (min-width: 1130px) {
    padding-bottom: 14.5rem;
  }
}
.grid-rl {
  @media all and (min-width: 650px) {
    grid-template-columns: 1fr auto;
    // padding-bottom: 44vh;
    padding-bottom: 28.2vh;
  }
  @media all and (min-width: 1024px) {
    padding-bottom: 21.1vh;
  }
  @media all and (min-width: 1280px) {
    padding-bottom: 44vh;
  }
}
.copy {
  &.copy\:main {
    font-size: 1.7rem;
    @media all and (min-width: 1130px) {
      font-size: 2.625rem;
    }
    @media all and (min-width: 1920px) {
      font-size: 3.525rem;
    }
  }
}
.title\:main {
  margin-bottom: 1.95rem;
  font-size: 3rem;
  @media all and (min-width: 1130px) {
    font-size: 5rem;
  }
  @media all and (min-width: 1920px) {
    font-size: 6.7rem;
  }
}

.main-image {
  object-fit: cover;
  max-width: initial;
  max-height: 23rem;

  @media all and (min-width: 375px) {
    // max-height: 18.75rem;
    max-height: 28rem;
  }
  @media all and (min-width: 414px) {
    // max-height: 45vh;
    max-height: 31rem;
  }
  @media all and (min-width: 650px) {
    max-height: initial;
    max-width: 17.45rem;
  }
  @media all and (min-width: 1024px) {
    max-width: 22.45rem;
  }
  @media all and (min-width: 1130px) {
    max-width: 30.75rem;
  }
  @media all and (min-width: 1920px) {
    max-width: 41.54rem;
  }
}

// .icon {
//   display: none;

//   @media all and (min-width: 650px) {
//     display: flex;
//     justify-content: flex-end;
//   }
//   &-center {
//     @media all and (min-width: 1024px) {
//       justify-content: center;
//     }
//   }
//   &-small {
//     // img {
//     // display: flex;
//     // max-width: 5.5rem;
//     max-width: 3.5rem;
//     @media all and (min-width: 768px) {
//       margin-left: 4.5rem;
//     }
//     @media all and (min-width: 1280px) {
//       margin-left: 0;
//       max-width: 4.25rem;
//     }
//   }
//   &-large {
//     @media all and (min-width: 650px) {
//       display: none;
//       max-width: 6.5rem;
//     }
//     @media all and (min-width: 1024px) {
//       display: flex;
//       max-width: 6.7rem;
//     }
//   }
// }
</style>
